"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PriceRange = void 0;
const react_1 = require("react");
const TextType = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemScope: true,
        itemProp: "priceRange",
        itemType: "https://schema.org/Text",
        ...props,
    }, children);
};
const PriceRange = ({ as = 'div', children, ...props }) => {
    return (0, react_1.createElement)(as, {
        itemProp: 'priceRange',
        ...props,
    }, children);
};
exports.PriceRange = PriceRange;
PriceRange.Text = TextType;
