"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpecialOpeningHoursSpecification = exports.HasDriveThroughService = exports.Telephone = exports.GeoCoveredBy = exports.GeoTouches = exports.PublicAccess = exports.FaxNumber = exports.BranchCode = exports.Map = exports.AggregateRating = exports.MaximumAttendeeCapacity = exports.Latitude = exports.GeoIntersects = exports.GeoDisjoint = exports.OpeningHoursSpecification = exports.Geo = exports.Address = exports.GeoCrosses = exports.Logo = exports.ContainedInPlace = exports.Photo = exports.Event = exports.IsAccessibleForFree = exports.Maps = exports.GeoEquals = exports.GeoOverlaps = exports.Events = exports.ContainedIn = exports.HasMap = exports.Review = exports.ContainsPlace = exports.GeoWithin = exports.TourBookingPage = exports.Reviews = exports.Keywords = exports.Photos = exports.Slogan = exports.AdditionalProperty = exports.AmenityFeature = exports.GlobalLocationNumber = exports.IsicV4 = exports.SmokingAllowed = exports.Longitude = exports.GeoCovers = exports.OpeningHours = exports.PaymentAccepted = exports.BranchOf = exports.CurrenciesAccepted = exports.PriceRange = exports.ShoeStore = void 0;
exports.Alumni = exports.Duns = exports.HasMerchantReturnPolicy = exports.DiversityPolicy = exports.Iso6523Code = exports.Funder = exports.FoundingLocation = exports.SubOrganization = exports.UnnamedSourcesPolicy = exports.Employees = exports.Seeks = exports.InteractionStatistic = exports.Funding = exports.DissolutionDate = exports.Awards = exports.Owns = exports.FoundingDate = exports.DiversityStaffingReport = exports.ContactPoints = exports.Email = exports.Award = exports.Employee = exports.PublishingPrinciples = exports.MemberOf = exports.Department = exports.ParentOrganization = exports.AreaServed = exports.ActionableFeedbackPolicy = exports.LegalName = exports.Founders = exports.OwnershipFundingInfo = exports.MakesOffer = exports.KnowsAbout = exports.Member = exports.HasPOS = exports.Founder = exports.ServiceArea = exports.AdditionalType = exports.Name = exports.Image = exports.Identifier = exports.DisambiguatingDescription = exports.Description = exports.SameAs = exports.AlternateName = exports.Url = exports.SubjectOf = exports.MainEntityOfPage = exports.PotentialAction = exports.GeoContains = void 0;
exports.Sponsor = exports.HasProductReturnPolicy = exports.NumberOfEmployees = exports.Location = exports.Naics = exports.TaxID = exports.Members = exports.HasOfferCatalog = exports.ContactPoint = exports.NonprofitStatus = exports.Brand = exports.HasCredential = exports.CorrectionsPolicy = exports.KnowsLanguage = exports.VatID = exports.LeiCode = exports.EthicsPolicy = void 0;
const PriceRange_1 = require("./src/itemProps/PriceRange");
Object.defineProperty(exports, "PriceRange", { enumerable: true, get: function () { return PriceRange_1.PriceRange; } });
const CurrenciesAccepted_1 = require("./src/itemProps/CurrenciesAccepted");
Object.defineProperty(exports, "CurrenciesAccepted", { enumerable: true, get: function () { return CurrenciesAccepted_1.CurrenciesAccepted; } });
const BranchOf_1 = require("./src/itemProps/BranchOf");
Object.defineProperty(exports, "BranchOf", { enumerable: true, get: function () { return BranchOf_1.BranchOf; } });
const PaymentAccepted_1 = require("./src/itemProps/PaymentAccepted");
Object.defineProperty(exports, "PaymentAccepted", { enumerable: true, get: function () { return PaymentAccepted_1.PaymentAccepted; } });
const OpeningHours_1 = require("./src/itemProps/OpeningHours");
Object.defineProperty(exports, "OpeningHours", { enumerable: true, get: function () { return OpeningHours_1.OpeningHours; } });
const GeoCovers_1 = require("./src/itemProps/GeoCovers");
Object.defineProperty(exports, "GeoCovers", { enumerable: true, get: function () { return GeoCovers_1.GeoCovers; } });
const Longitude_1 = require("./src/itemProps/Longitude");
Object.defineProperty(exports, "Longitude", { enumerable: true, get: function () { return Longitude_1.Longitude; } });
const SmokingAllowed_1 = require("./src/itemProps/SmokingAllowed");
Object.defineProperty(exports, "SmokingAllowed", { enumerable: true, get: function () { return SmokingAllowed_1.SmokingAllowed; } });
const IsicV4_1 = require("./src/itemProps/IsicV4");
Object.defineProperty(exports, "IsicV4", { enumerable: true, get: function () { return IsicV4_1.IsicV4; } });
const GlobalLocationNumber_1 = require("./src/itemProps/GlobalLocationNumber");
Object.defineProperty(exports, "GlobalLocationNumber", { enumerable: true, get: function () { return GlobalLocationNumber_1.GlobalLocationNumber; } });
const AmenityFeature_1 = require("./src/itemProps/AmenityFeature");
Object.defineProperty(exports, "AmenityFeature", { enumerable: true, get: function () { return AmenityFeature_1.AmenityFeature; } });
const AdditionalProperty_1 = require("./src/itemProps/AdditionalProperty");
Object.defineProperty(exports, "AdditionalProperty", { enumerable: true, get: function () { return AdditionalProperty_1.AdditionalProperty; } });
const Slogan_1 = require("./src/itemProps/Slogan");
Object.defineProperty(exports, "Slogan", { enumerable: true, get: function () { return Slogan_1.Slogan; } });
const Photos_1 = require("./src/itemProps/Photos");
Object.defineProperty(exports, "Photos", { enumerable: true, get: function () { return Photos_1.Photos; } });
const Keywords_1 = require("./src/itemProps/Keywords");
Object.defineProperty(exports, "Keywords", { enumerable: true, get: function () { return Keywords_1.Keywords; } });
const Reviews_1 = require("./src/itemProps/Reviews");
Object.defineProperty(exports, "Reviews", { enumerable: true, get: function () { return Reviews_1.Reviews; } });
const TourBookingPage_1 = require("./src/itemProps/TourBookingPage");
Object.defineProperty(exports, "TourBookingPage", { enumerable: true, get: function () { return TourBookingPage_1.TourBookingPage; } });
const GeoWithin_1 = require("./src/itemProps/GeoWithin");
Object.defineProperty(exports, "GeoWithin", { enumerable: true, get: function () { return GeoWithin_1.GeoWithin; } });
const ContainsPlace_1 = require("./src/itemProps/ContainsPlace");
Object.defineProperty(exports, "ContainsPlace", { enumerable: true, get: function () { return ContainsPlace_1.ContainsPlace; } });
const Review_1 = require("./src/itemProps/Review");
Object.defineProperty(exports, "Review", { enumerable: true, get: function () { return Review_1.Review; } });
const HasMap_1 = require("./src/itemProps/HasMap");
Object.defineProperty(exports, "HasMap", { enumerable: true, get: function () { return HasMap_1.HasMap; } });
const ContainedIn_1 = require("./src/itemProps/ContainedIn");
Object.defineProperty(exports, "ContainedIn", { enumerable: true, get: function () { return ContainedIn_1.ContainedIn; } });
const Events_1 = require("./src/itemProps/Events");
Object.defineProperty(exports, "Events", { enumerable: true, get: function () { return Events_1.Events; } });
const GeoOverlaps_1 = require("./src/itemProps/GeoOverlaps");
Object.defineProperty(exports, "GeoOverlaps", { enumerable: true, get: function () { return GeoOverlaps_1.GeoOverlaps; } });
const GeoEquals_1 = require("./src/itemProps/GeoEquals");
Object.defineProperty(exports, "GeoEquals", { enumerable: true, get: function () { return GeoEquals_1.GeoEquals; } });
const Maps_1 = require("./src/itemProps/Maps");
Object.defineProperty(exports, "Maps", { enumerable: true, get: function () { return Maps_1.Maps; } });
const IsAccessibleForFree_1 = require("./src/itemProps/IsAccessibleForFree");
Object.defineProperty(exports, "IsAccessibleForFree", { enumerable: true, get: function () { return IsAccessibleForFree_1.IsAccessibleForFree; } });
const Event_1 = require("./src/itemProps/Event");
Object.defineProperty(exports, "Event", { enumerable: true, get: function () { return Event_1.Event; } });
const Photo_1 = require("./src/itemProps/Photo");
Object.defineProperty(exports, "Photo", { enumerable: true, get: function () { return Photo_1.Photo; } });
const ContainedInPlace_1 = require("./src/itemProps/ContainedInPlace");
Object.defineProperty(exports, "ContainedInPlace", { enumerable: true, get: function () { return ContainedInPlace_1.ContainedInPlace; } });
const Logo_1 = require("./src/itemProps/Logo");
Object.defineProperty(exports, "Logo", { enumerable: true, get: function () { return Logo_1.Logo; } });
const GeoCrosses_1 = require("./src/itemProps/GeoCrosses");
Object.defineProperty(exports, "GeoCrosses", { enumerable: true, get: function () { return GeoCrosses_1.GeoCrosses; } });
const Address_1 = require("./src/itemProps/Address");
Object.defineProperty(exports, "Address", { enumerable: true, get: function () { return Address_1.Address; } });
const Geo_1 = require("./src/itemProps/Geo");
Object.defineProperty(exports, "Geo", { enumerable: true, get: function () { return Geo_1.Geo; } });
const OpeningHoursSpecification_1 = require("./src/itemProps/OpeningHoursSpecification");
Object.defineProperty(exports, "OpeningHoursSpecification", { enumerable: true, get: function () { return OpeningHoursSpecification_1.OpeningHoursSpecification; } });
const GeoDisjoint_1 = require("./src/itemProps/GeoDisjoint");
Object.defineProperty(exports, "GeoDisjoint", { enumerable: true, get: function () { return GeoDisjoint_1.GeoDisjoint; } });
const GeoIntersects_1 = require("./src/itemProps/GeoIntersects");
Object.defineProperty(exports, "GeoIntersects", { enumerable: true, get: function () { return GeoIntersects_1.GeoIntersects; } });
const Latitude_1 = require("./src/itemProps/Latitude");
Object.defineProperty(exports, "Latitude", { enumerable: true, get: function () { return Latitude_1.Latitude; } });
const MaximumAttendeeCapacity_1 = require("./src/itemProps/MaximumAttendeeCapacity");
Object.defineProperty(exports, "MaximumAttendeeCapacity", { enumerable: true, get: function () { return MaximumAttendeeCapacity_1.MaximumAttendeeCapacity; } });
const AggregateRating_1 = require("./src/itemProps/AggregateRating");
Object.defineProperty(exports, "AggregateRating", { enumerable: true, get: function () { return AggregateRating_1.AggregateRating; } });
const Map_1 = require("./src/itemProps/Map");
Object.defineProperty(exports, "Map", { enumerable: true, get: function () { return Map_1.Map; } });
const BranchCode_1 = require("./src/itemProps/BranchCode");
Object.defineProperty(exports, "BranchCode", { enumerable: true, get: function () { return BranchCode_1.BranchCode; } });
const FaxNumber_1 = require("./src/itemProps/FaxNumber");
Object.defineProperty(exports, "FaxNumber", { enumerable: true, get: function () { return FaxNumber_1.FaxNumber; } });
const PublicAccess_1 = require("./src/itemProps/PublicAccess");
Object.defineProperty(exports, "PublicAccess", { enumerable: true, get: function () { return PublicAccess_1.PublicAccess; } });
const GeoTouches_1 = require("./src/itemProps/GeoTouches");
Object.defineProperty(exports, "GeoTouches", { enumerable: true, get: function () { return GeoTouches_1.GeoTouches; } });
const GeoCoveredBy_1 = require("./src/itemProps/GeoCoveredBy");
Object.defineProperty(exports, "GeoCoveredBy", { enumerable: true, get: function () { return GeoCoveredBy_1.GeoCoveredBy; } });
const Telephone_1 = require("./src/itemProps/Telephone");
Object.defineProperty(exports, "Telephone", { enumerable: true, get: function () { return Telephone_1.Telephone; } });
const HasDriveThroughService_1 = require("./src/itemProps/HasDriveThroughService");
Object.defineProperty(exports, "HasDriveThroughService", { enumerable: true, get: function () { return HasDriveThroughService_1.HasDriveThroughService; } });
const SpecialOpeningHoursSpecification_1 = require("./src/itemProps/SpecialOpeningHoursSpecification");
Object.defineProperty(exports, "SpecialOpeningHoursSpecification", { enumerable: true, get: function () { return SpecialOpeningHoursSpecification_1.SpecialOpeningHoursSpecification; } });
const GeoContains_1 = require("./src/itemProps/GeoContains");
Object.defineProperty(exports, "GeoContains", { enumerable: true, get: function () { return GeoContains_1.GeoContains; } });
const PotentialAction_1 = require("./src/itemProps/PotentialAction");
Object.defineProperty(exports, "PotentialAction", { enumerable: true, get: function () { return PotentialAction_1.PotentialAction; } });
const MainEntityOfPage_1 = require("./src/itemProps/MainEntityOfPage");
Object.defineProperty(exports, "MainEntityOfPage", { enumerable: true, get: function () { return MainEntityOfPage_1.MainEntityOfPage; } });
const SubjectOf_1 = require("./src/itemProps/SubjectOf");
Object.defineProperty(exports, "SubjectOf", { enumerable: true, get: function () { return SubjectOf_1.SubjectOf; } });
const Url_1 = require("./src/itemProps/Url");
Object.defineProperty(exports, "Url", { enumerable: true, get: function () { return Url_1.Url; } });
const AlternateName_1 = require("./src/itemProps/AlternateName");
Object.defineProperty(exports, "AlternateName", { enumerable: true, get: function () { return AlternateName_1.AlternateName; } });
const SameAs_1 = require("./src/itemProps/SameAs");
Object.defineProperty(exports, "SameAs", { enumerable: true, get: function () { return SameAs_1.SameAs; } });
const Description_1 = require("./src/itemProps/Description");
Object.defineProperty(exports, "Description", { enumerable: true, get: function () { return Description_1.Description; } });
const DisambiguatingDescription_1 = require("./src/itemProps/DisambiguatingDescription");
Object.defineProperty(exports, "DisambiguatingDescription", { enumerable: true, get: function () { return DisambiguatingDescription_1.DisambiguatingDescription; } });
const Identifier_1 = require("./src/itemProps/Identifier");
Object.defineProperty(exports, "Identifier", { enumerable: true, get: function () { return Identifier_1.Identifier; } });
const Image_1 = require("./src/itemProps/Image");
Object.defineProperty(exports, "Image", { enumerable: true, get: function () { return Image_1.Image; } });
const Name_1 = require("./src/itemProps/Name");
Object.defineProperty(exports, "Name", { enumerable: true, get: function () { return Name_1.Name; } });
const AdditionalType_1 = require("./src/itemProps/AdditionalType");
Object.defineProperty(exports, "AdditionalType", { enumerable: true, get: function () { return AdditionalType_1.AdditionalType; } });
const ServiceArea_1 = require("./src/itemProps/ServiceArea");
Object.defineProperty(exports, "ServiceArea", { enumerable: true, get: function () { return ServiceArea_1.ServiceArea; } });
const Founder_1 = require("./src/itemProps/Founder");
Object.defineProperty(exports, "Founder", { enumerable: true, get: function () { return Founder_1.Founder; } });
const HasPOS_1 = require("./src/itemProps/HasPOS");
Object.defineProperty(exports, "HasPOS", { enumerable: true, get: function () { return HasPOS_1.HasPOS; } });
const Member_1 = require("./src/itemProps/Member");
Object.defineProperty(exports, "Member", { enumerable: true, get: function () { return Member_1.Member; } });
const KnowsAbout_1 = require("./src/itemProps/KnowsAbout");
Object.defineProperty(exports, "KnowsAbout", { enumerable: true, get: function () { return KnowsAbout_1.KnowsAbout; } });
const MakesOffer_1 = require("./src/itemProps/MakesOffer");
Object.defineProperty(exports, "MakesOffer", { enumerable: true, get: function () { return MakesOffer_1.MakesOffer; } });
const OwnershipFundingInfo_1 = require("./src/itemProps/OwnershipFundingInfo");
Object.defineProperty(exports, "OwnershipFundingInfo", { enumerable: true, get: function () { return OwnershipFundingInfo_1.OwnershipFundingInfo; } });
const Founders_1 = require("./src/itemProps/Founders");
Object.defineProperty(exports, "Founders", { enumerable: true, get: function () { return Founders_1.Founders; } });
const LegalName_1 = require("./src/itemProps/LegalName");
Object.defineProperty(exports, "LegalName", { enumerable: true, get: function () { return LegalName_1.LegalName; } });
const ActionableFeedbackPolicy_1 = require("./src/itemProps/ActionableFeedbackPolicy");
Object.defineProperty(exports, "ActionableFeedbackPolicy", { enumerable: true, get: function () { return ActionableFeedbackPolicy_1.ActionableFeedbackPolicy; } });
const AreaServed_1 = require("./src/itemProps/AreaServed");
Object.defineProperty(exports, "AreaServed", { enumerable: true, get: function () { return AreaServed_1.AreaServed; } });
const ParentOrganization_1 = require("./src/itemProps/ParentOrganization");
Object.defineProperty(exports, "ParentOrganization", { enumerable: true, get: function () { return ParentOrganization_1.ParentOrganization; } });
const Department_1 = require("./src/itemProps/Department");
Object.defineProperty(exports, "Department", { enumerable: true, get: function () { return Department_1.Department; } });
const MemberOf_1 = require("./src/itemProps/MemberOf");
Object.defineProperty(exports, "MemberOf", { enumerable: true, get: function () { return MemberOf_1.MemberOf; } });
const PublishingPrinciples_1 = require("./src/itemProps/PublishingPrinciples");
Object.defineProperty(exports, "PublishingPrinciples", { enumerable: true, get: function () { return PublishingPrinciples_1.PublishingPrinciples; } });
const Employee_1 = require("./src/itemProps/Employee");
Object.defineProperty(exports, "Employee", { enumerable: true, get: function () { return Employee_1.Employee; } });
const Award_1 = require("./src/itemProps/Award");
Object.defineProperty(exports, "Award", { enumerable: true, get: function () { return Award_1.Award; } });
const Email_1 = require("./src/itemProps/Email");
Object.defineProperty(exports, "Email", { enumerable: true, get: function () { return Email_1.Email; } });
const ContactPoints_1 = require("./src/itemProps/ContactPoints");
Object.defineProperty(exports, "ContactPoints", { enumerable: true, get: function () { return ContactPoints_1.ContactPoints; } });
const DiversityStaffingReport_1 = require("./src/itemProps/DiversityStaffingReport");
Object.defineProperty(exports, "DiversityStaffingReport", { enumerable: true, get: function () { return DiversityStaffingReport_1.DiversityStaffingReport; } });
const FoundingDate_1 = require("./src/itemProps/FoundingDate");
Object.defineProperty(exports, "FoundingDate", { enumerable: true, get: function () { return FoundingDate_1.FoundingDate; } });
const Owns_1 = require("./src/itemProps/Owns");
Object.defineProperty(exports, "Owns", { enumerable: true, get: function () { return Owns_1.Owns; } });
const Awards_1 = require("./src/itemProps/Awards");
Object.defineProperty(exports, "Awards", { enumerable: true, get: function () { return Awards_1.Awards; } });
const DissolutionDate_1 = require("./src/itemProps/DissolutionDate");
Object.defineProperty(exports, "DissolutionDate", { enumerable: true, get: function () { return DissolutionDate_1.DissolutionDate; } });
const Funding_1 = require("./src/itemProps/Funding");
Object.defineProperty(exports, "Funding", { enumerable: true, get: function () { return Funding_1.Funding; } });
const InteractionStatistic_1 = require("./src/itemProps/InteractionStatistic");
Object.defineProperty(exports, "InteractionStatistic", { enumerable: true, get: function () { return InteractionStatistic_1.InteractionStatistic; } });
const Seeks_1 = require("./src/itemProps/Seeks");
Object.defineProperty(exports, "Seeks", { enumerable: true, get: function () { return Seeks_1.Seeks; } });
const Employees_1 = require("./src/itemProps/Employees");
Object.defineProperty(exports, "Employees", { enumerable: true, get: function () { return Employees_1.Employees; } });
const UnnamedSourcesPolicy_1 = require("./src/itemProps/UnnamedSourcesPolicy");
Object.defineProperty(exports, "UnnamedSourcesPolicy", { enumerable: true, get: function () { return UnnamedSourcesPolicy_1.UnnamedSourcesPolicy; } });
const SubOrganization_1 = require("./src/itemProps/SubOrganization");
Object.defineProperty(exports, "SubOrganization", { enumerable: true, get: function () { return SubOrganization_1.SubOrganization; } });
const FoundingLocation_1 = require("./src/itemProps/FoundingLocation");
Object.defineProperty(exports, "FoundingLocation", { enumerable: true, get: function () { return FoundingLocation_1.FoundingLocation; } });
const Funder_1 = require("./src/itemProps/Funder");
Object.defineProperty(exports, "Funder", { enumerable: true, get: function () { return Funder_1.Funder; } });
const Iso6523Code_1 = require("./src/itemProps/Iso6523Code");
Object.defineProperty(exports, "Iso6523Code", { enumerable: true, get: function () { return Iso6523Code_1.Iso6523Code; } });
const DiversityPolicy_1 = require("./src/itemProps/DiversityPolicy");
Object.defineProperty(exports, "DiversityPolicy", { enumerable: true, get: function () { return DiversityPolicy_1.DiversityPolicy; } });
const HasMerchantReturnPolicy_1 = require("./src/itemProps/HasMerchantReturnPolicy");
Object.defineProperty(exports, "HasMerchantReturnPolicy", { enumerable: true, get: function () { return HasMerchantReturnPolicy_1.HasMerchantReturnPolicy; } });
const Duns_1 = require("./src/itemProps/Duns");
Object.defineProperty(exports, "Duns", { enumerable: true, get: function () { return Duns_1.Duns; } });
const Alumni_1 = require("./src/itemProps/Alumni");
Object.defineProperty(exports, "Alumni", { enumerable: true, get: function () { return Alumni_1.Alumni; } });
const EthicsPolicy_1 = require("./src/itemProps/EthicsPolicy");
Object.defineProperty(exports, "EthicsPolicy", { enumerable: true, get: function () { return EthicsPolicy_1.EthicsPolicy; } });
const LeiCode_1 = require("./src/itemProps/LeiCode");
Object.defineProperty(exports, "LeiCode", { enumerable: true, get: function () { return LeiCode_1.LeiCode; } });
const VatID_1 = require("./src/itemProps/VatID");
Object.defineProperty(exports, "VatID", { enumerable: true, get: function () { return VatID_1.VatID; } });
const KnowsLanguage_1 = require("./src/itemProps/KnowsLanguage");
Object.defineProperty(exports, "KnowsLanguage", { enumerable: true, get: function () { return KnowsLanguage_1.KnowsLanguage; } });
const CorrectionsPolicy_1 = require("./src/itemProps/CorrectionsPolicy");
Object.defineProperty(exports, "CorrectionsPolicy", { enumerable: true, get: function () { return CorrectionsPolicy_1.CorrectionsPolicy; } });
const HasCredential_1 = require("./src/itemProps/HasCredential");
Object.defineProperty(exports, "HasCredential", { enumerable: true, get: function () { return HasCredential_1.HasCredential; } });
const Brand_1 = require("./src/itemProps/Brand");
Object.defineProperty(exports, "Brand", { enumerable: true, get: function () { return Brand_1.Brand; } });
const NonprofitStatus_1 = require("./src/itemProps/NonprofitStatus");
Object.defineProperty(exports, "NonprofitStatus", { enumerable: true, get: function () { return NonprofitStatus_1.NonprofitStatus; } });
const ContactPoint_1 = require("./src/itemProps/ContactPoint");
Object.defineProperty(exports, "ContactPoint", { enumerable: true, get: function () { return ContactPoint_1.ContactPoint; } });
const HasOfferCatalog_1 = require("./src/itemProps/HasOfferCatalog");
Object.defineProperty(exports, "HasOfferCatalog", { enumerable: true, get: function () { return HasOfferCatalog_1.HasOfferCatalog; } });
const Members_1 = require("./src/itemProps/Members");
Object.defineProperty(exports, "Members", { enumerable: true, get: function () { return Members_1.Members; } });
const TaxID_1 = require("./src/itemProps/TaxID");
Object.defineProperty(exports, "TaxID", { enumerable: true, get: function () { return TaxID_1.TaxID; } });
const Naics_1 = require("./src/itemProps/Naics");
Object.defineProperty(exports, "Naics", { enumerable: true, get: function () { return Naics_1.Naics; } });
const Location_1 = require("./src/itemProps/Location");
Object.defineProperty(exports, "Location", { enumerable: true, get: function () { return Location_1.Location; } });
const NumberOfEmployees_1 = require("./src/itemProps/NumberOfEmployees");
Object.defineProperty(exports, "NumberOfEmployees", { enumerable: true, get: function () { return NumberOfEmployees_1.NumberOfEmployees; } });
const HasProductReturnPolicy_1 = require("./src/itemProps/HasProductReturnPolicy");
Object.defineProperty(exports, "HasProductReturnPolicy", { enumerable: true, get: function () { return HasProductReturnPolicy_1.HasProductReturnPolicy; } });
const Sponsor_1 = require("./src/itemProps/Sponsor");
Object.defineProperty(exports, "Sponsor", { enumerable: true, get: function () { return Sponsor_1.Sponsor; } });
const ShoeStore_1 = require("./src/ShoeStore");
Object.defineProperty(exports, "ShoeStore", { enumerable: true, get: function () { return ShoeStore_1.ShoeStore; } });
exports.default = {
    ShoeStore: ShoeStore_1.ShoeStore,
    PriceRange: PriceRange_1.PriceRange,
    CurrenciesAccepted: CurrenciesAccepted_1.CurrenciesAccepted,
    BranchOf: BranchOf_1.BranchOf,
    PaymentAccepted: PaymentAccepted_1.PaymentAccepted,
    OpeningHours: OpeningHours_1.OpeningHours,
    GeoCovers: GeoCovers_1.GeoCovers,
    Longitude: Longitude_1.Longitude,
    SmokingAllowed: SmokingAllowed_1.SmokingAllowed,
    IsicV4: IsicV4_1.IsicV4,
    GlobalLocationNumber: GlobalLocationNumber_1.GlobalLocationNumber,
    AmenityFeature: AmenityFeature_1.AmenityFeature,
    AdditionalProperty: AdditionalProperty_1.AdditionalProperty,
    Slogan: Slogan_1.Slogan,
    Photos: Photos_1.Photos,
    Keywords: Keywords_1.Keywords,
    Reviews: Reviews_1.Reviews,
    TourBookingPage: TourBookingPage_1.TourBookingPage,
    GeoWithin: GeoWithin_1.GeoWithin,
    ContainsPlace: ContainsPlace_1.ContainsPlace,
    Review: Review_1.Review,
    HasMap: HasMap_1.HasMap,
    ContainedIn: ContainedIn_1.ContainedIn,
    Events: Events_1.Events,
    GeoOverlaps: GeoOverlaps_1.GeoOverlaps,
    GeoEquals: GeoEquals_1.GeoEquals,
    Maps: Maps_1.Maps,
    IsAccessibleForFree: IsAccessibleForFree_1.IsAccessibleForFree,
    Event: Event_1.Event,
    Photo: Photo_1.Photo,
    ContainedInPlace: ContainedInPlace_1.ContainedInPlace,
    Logo: Logo_1.Logo,
    GeoCrosses: GeoCrosses_1.GeoCrosses,
    Address: Address_1.Address,
    Geo: Geo_1.Geo,
    OpeningHoursSpecification: OpeningHoursSpecification_1.OpeningHoursSpecification,
    GeoDisjoint: GeoDisjoint_1.GeoDisjoint,
    GeoIntersects: GeoIntersects_1.GeoIntersects,
    Latitude: Latitude_1.Latitude,
    MaximumAttendeeCapacity: MaximumAttendeeCapacity_1.MaximumAttendeeCapacity,
    AggregateRating: AggregateRating_1.AggregateRating,
    Map: Map_1.Map,
    BranchCode: BranchCode_1.BranchCode,
    FaxNumber: FaxNumber_1.FaxNumber,
    PublicAccess: PublicAccess_1.PublicAccess,
    GeoTouches: GeoTouches_1.GeoTouches,
    GeoCoveredBy: GeoCoveredBy_1.GeoCoveredBy,
    Telephone: Telephone_1.Telephone,
    HasDriveThroughService: HasDriveThroughService_1.HasDriveThroughService,
    SpecialOpeningHoursSpecification: SpecialOpeningHoursSpecification_1.SpecialOpeningHoursSpecification,
    GeoContains: GeoContains_1.GeoContains,
    PotentialAction: PotentialAction_1.PotentialAction,
    MainEntityOfPage: MainEntityOfPage_1.MainEntityOfPage,
    SubjectOf: SubjectOf_1.SubjectOf,
    Url: Url_1.Url,
    AlternateName: AlternateName_1.AlternateName,
    SameAs: SameAs_1.SameAs,
    Description: Description_1.Description,
    DisambiguatingDescription: DisambiguatingDescription_1.DisambiguatingDescription,
    Identifier: Identifier_1.Identifier,
    Image: Image_1.Image,
    Name: Name_1.Name,
    AdditionalType: AdditionalType_1.AdditionalType,
    ServiceArea: ServiceArea_1.ServiceArea,
    Founder: Founder_1.Founder,
    HasPOS: HasPOS_1.HasPOS,
    Member: Member_1.Member,
    KnowsAbout: KnowsAbout_1.KnowsAbout,
    MakesOffer: MakesOffer_1.MakesOffer,
    OwnershipFundingInfo: OwnershipFundingInfo_1.OwnershipFundingInfo,
    Founders: Founders_1.Founders,
    LegalName: LegalName_1.LegalName,
    ActionableFeedbackPolicy: ActionableFeedbackPolicy_1.ActionableFeedbackPolicy,
    AreaServed: AreaServed_1.AreaServed,
    ParentOrganization: ParentOrganization_1.ParentOrganization,
    Department: Department_1.Department,
    MemberOf: MemberOf_1.MemberOf,
    PublishingPrinciples: PublishingPrinciples_1.PublishingPrinciples,
    Employee: Employee_1.Employee,
    Award: Award_1.Award,
    Email: Email_1.Email,
    ContactPoints: ContactPoints_1.ContactPoints,
    DiversityStaffingReport: DiversityStaffingReport_1.DiversityStaffingReport,
    FoundingDate: FoundingDate_1.FoundingDate,
    Owns: Owns_1.Owns,
    Awards: Awards_1.Awards,
    DissolutionDate: DissolutionDate_1.DissolutionDate,
    Funding: Funding_1.Funding,
    InteractionStatistic: InteractionStatistic_1.InteractionStatistic,
    Seeks: Seeks_1.Seeks,
    Employees: Employees_1.Employees,
    UnnamedSourcesPolicy: UnnamedSourcesPolicy_1.UnnamedSourcesPolicy,
    SubOrganization: SubOrganization_1.SubOrganization,
    FoundingLocation: FoundingLocation_1.FoundingLocation,
    Funder: Funder_1.Funder,
    Iso6523Code: Iso6523Code_1.Iso6523Code,
    DiversityPolicy: DiversityPolicy_1.DiversityPolicy,
    HasMerchantReturnPolicy: HasMerchantReturnPolicy_1.HasMerchantReturnPolicy,
    Duns: Duns_1.Duns,
    Alumni: Alumni_1.Alumni,
    EthicsPolicy: EthicsPolicy_1.EthicsPolicy,
    LeiCode: LeiCode_1.LeiCode,
    VatID: VatID_1.VatID,
    KnowsLanguage: KnowsLanguage_1.KnowsLanguage,
    CorrectionsPolicy: CorrectionsPolicy_1.CorrectionsPolicy,
    HasCredential: HasCredential_1.HasCredential,
    Brand: Brand_1.Brand,
    NonprofitStatus: NonprofitStatus_1.NonprofitStatus,
    ContactPoint: ContactPoint_1.ContactPoint,
    HasOfferCatalog: HasOfferCatalog_1.HasOfferCatalog,
    Members: Members_1.Members,
    TaxID: TaxID_1.TaxID,
    Naics: Naics_1.Naics,
    Location: Location_1.Location,
    NumberOfEmployees: NumberOfEmployees_1.NumberOfEmployees,
    HasProductReturnPolicy: HasProductReturnPolicy_1.HasProductReturnPolicy,
    Sponsor: Sponsor_1.Sponsor
};
